.panel.panel-default{"ng-controller" => "ImprovementSuggestionCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Suggestions for improvement
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Parameters
            %th{:style => "text-align:center;"} Suggestions
     
        %tbody
          %tr{ "ng-repeat" => "improvement in data_list "}
            %td{:style => "text-align:center;"} {{ improvement.suggestion_paramater.name }}
            %td{:style => "text-align:center;"} {{ improvement.suggestions }}
            %td
              %a{ "ng-click" => "edit(improvement.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(improvement.id, improvement.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_improvement
            %td
              %select{"ng-model" => "vm.suggestion_paramater", "ng-options" => "suggestion_paramater.name for suggestion_paramater in suggestion_paramaters track by suggestion_paramater.id", :class => "form-control"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
              = text_field_tag :suggestions, nil, size: 50, :class => "form-control", "ng-model" => "vm.suggestions"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"} 
      
